View Issue Details

IDProjectCategoryView StatusLast Update
0000693CaseTalk ModelerGeneration (SQL, XML, etc)public2016-01-08 14:37
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritytrivialReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version8.0 
Target Version8.2.1Fixed in Version8.2.1 
Summary0000693: XSD support for ranges
DescriptionValue constraints entered in CaseTalk "1..100" should be interpeted as min/max values in XSD. The "xsd:restriction" supports the minInclusive and maxInclusive elements which may contain the left and right part of the value constraint.
Steps To ReproduceStart the VC dialog and enter a single line containing:
1..100
Additional InformationThe following example could than be generated:

<xs:element name="age">
  <xs:simpleType>
    <xs:restriction base="xs:integer">
      <xs:minInclusive value="0"/>
      <xs:maxInclusive value="100"/>
    </xs:restriction>
  </xs:simpleType>
</xs:element>
TagsNo tags attached.

Relationships

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-07-22 12:39 BCP Software New Issue
2015-07-22 12:39 BCP Software Status new => assigned
2015-07-22 12:39 BCP Software Assigned To => BCP Software
2015-07-22 12:39 BCP Software Status assigned => resolved
2015-07-22 12:39 BCP Software Fixed in Version => 8.2.1
2015-07-22 12:39 BCP Software Resolution open => fixed
2016-01-08 14:37 BCP Software Severity minor => trivial
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)